#include "cgul.h"

int
main(int argc,
     char* argv[])
{
    int rv = 0;
    unsigned long x = 0;
    cgul_exception_t local = NULL;

    x = cgul_defensive__add_unsigned_long(&local, ULONG_MAX, ULONG_MAX);
    if (local) {
        goto out;
    }

    printf("x = %lu\n", (unsigned long)x);

 out:

    /* Catch exceptions. */
    if (local) {
        const char* msg = cgul_exception__get_message(local);
        fprintf(stderr, "*** Error: %s\n", msg);
        cgul_exception__delete(local);
        local = NULL;
        rv = 1;
    }

    return rv;
}
