#include "cgul.h"

int main(int argc, char* argv[])
{
    int rv = 0;
    char buf[5];
    cgul_exception_t local = NULL;

    cgul_libc__memset(&local, buf, '@', sizeof(buf));
    cgul_libc__strncpy(&local, buf, "1234567890", sizeof(buf));
    cgul_libc__printf(&local, "%s\n", buf);
    
    if (local) {
        const char* msg = cgul_exception__get_message(local);
        fprintf(stderr, "*** Error: %s\n", msg);
        cgul_exception__delete(local);
        local = NULL;
        rv = 1;
    }

    return rv;
}
