#ifndef CGUL_SUBSTRING_P_H
#define CGUL_SUBSTRING_P_H

#include "cgul_common.h"
#include "cgul_int.h"
#include "cgul_substring.h"

CGUL_BEGIN_C

/**
 * Data encapsulated by the <code>cgul_substring</code> class.
 */
struct cgul_substring {

    /**
     * Copy of the currently set _binary_ substring.
     */
    char* ss;

    /**
     * Length of <code>ss</code>.
     */
    size_t ss_length;

    /**
     * Hash of <code>ss</code>
     */
    cgul_uint32_t ss_hash;

};

CGUL_END_C

#endif  /*  CGUL_SUBSTRING_P_H  */
