#include "cgul_cxx.h"

int
main(int argc,
     char* argv[])
{
    int rv = 0;
    char* s = NULL;

    try {

        /* Allocate a new string. */
        s = cgul_libc_cxx::asprintf("%s", "Hello, World!");

        /* Print the string. */
        cgul_libc_cxx::printf("%s\n", s);

    } catch (const cgul_exception_cxx& e) {
        fprintf(stderr, "*** Error: %s\n", e.get_message());
        rv = 1;
    }

    /* Clean up. */
    if (s) {
        free(s);
    }

    return rv;
}
